package com.yonge.cooleshow.biz.dal.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.yonge.cooleshow.biz.dal.entity.CourseCourseware;
import com.yonge.cooleshow.common.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;

/**
 * @Author: liweifan
 * @Data: 2022-11-02 10:17:44
 */
@ApiModel(value = "CourseCoursewareVo对象", description = "课件表查询视图对象")
public class CourseCoursewareVo extends CourseCourseware{
	private static final long serialVersionUID = 1L;

	@ApiModelProperty("用户名")
	private String username;

	@ApiModelProperty(value = "曲谱名称")
	private String musicSheetName;  //曲谱名称

	@ApiModelProperty("是否有效， 0:失效 1:有效")
	private YesOrNoEnum status;

	@ApiModelProperty(value = "封面图")
	private String titleImg;  //曲谱名称

	@ApiModelProperty(hidden = true)
	private String paymentType;


	@ApiModelProperty("曲目图片 多个逗号隔开")
	private String musicImg;

	@ApiModelProperty("原音地址,多个逗号隔开")
	private String mp3url;


	@ApiModelProperty(value = "曲目是否启用 0：未启用， 1：启用",hidden = true)
	private YesOrNoEnum musicStatus;


	public String getMusicImg() {
		return musicImg;
	}

	public void setMusicImg(String musicImg) {
		this.musicImg = musicImg;
	}

	public String getMp3url() {
		return mp3url;
	}

	public void setMp3url(String mp3url) {
		this.mp3url = mp3url;
	}

	public YesOrNoEnum getMusicStatus() {
		return musicStatus;
	}

	public void setMusicStatus(YesOrNoEnum musicStatus) {
		this.musicStatus = musicStatus;
	}

	public String getPaymentType() {
		return paymentType;
	}

	public void setPaymentType(String paymentType) {
		this.paymentType = paymentType;
	}

	public YesOrNoEnum getStatus() {
		return status;
	}

	public void setStatus(YesOrNoEnum status) {
		this.status = status;
	}

	public String getMusicSheetName() {
		return musicSheetName;
	}

	public void setMusicSheetName(String musicSheetName) {
		this.musicSheetName = musicSheetName;
	}

	public String getTitleImg() {
		return titleImg;
	}

	public void setTitleImg(String titleImg) {
		this.titleImg = titleImg;
	}

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}
}